Bug 1465366 - Volumes: Get error while trying to edit cloud volume opened from availability zone page
Volumes: Get error while trying to edit cloud volume opened from availability...
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: cfme-future
Assigned To: Dan Clarizio
Ruslana Babyuk
ui:volume
: Reopened, TestOnly, ZStream
Depends On:
Blocks: 1479939
  Show dependency treegraph
 
Reported: 2017-06-27 06:10 EDT by Ruslana Babyuk
Modified: 2018-05-24 01:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479939 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
edit_error (34.19 KB, image/png)
2017-06-27 06:10 EDT, Ruslana Babyuk
no flags Details
log (9.19 KB, text/plain)
2017-06-27 06:11 EDT, Ruslana Babyuk
no flags Details
new_edit_error (33.82 KB, image/png)
2017-10-12 05:18 EDT, Ruslana Babyuk
no flags Details

  None (edit)
Description Ruslana Babyuk 2017-06-27 06:10:40 EDT
Created attachment 1292260 [details]
edit_error

Description of problem:
Get error(No route matches {:action=>"layouts/flash_msg", :controller=>"availability_zone", :id=>nil} [availability_zone/button]) while trying to edit cloud volume opened from availability zone page


Version-Release number of selected component (if applicable):
5.8.1

How reproducible:
100%

Steps to Reproduce:
1. Add cloud provider
2. Navigate to Compute-> Cloud-> Availability Zones
3. Select Availability Zone which contain volumes
4. On Availability Zone summary page click on "Cloud Volumes" section
5. Select checkbox for any volume in the list
6. Configuration-> Edit select Cloud Volume

Actual results:
Got error

Expected results:
Edit Cloud Volume page should be open

Additional info:
If Cloud volume was opened from Storage-> Block Storage-> Volume edit works
Comment 2 Ruslana Babyuk 2017-06-27 06:11 EDT
Created attachment 1292261 [details]
log
Comment 5 CFME Bot 2017-07-31 06:58:22 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/1b40fe6c58c502e4c93f76f7b4da46f2e9c87560

commit 1b40fe6c58c502e4c93f76f7b4da46f2e9c87560
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Thu Jun 29 17:32:09 2017 +0200
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Thu Jun 29 17:37:57 2017 +0200

    Fix button actions on Availability Zone nested resources
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1465366
    https://bugzilla.redhat.com/show_bug.cgi?id=1465370

 app/controllers/availability_zone_controller.rb | 65 +------------------------
 1 file changed, 1 insertion(+), 64 deletions(-)
Comment 7 Ruslana Babyuk 2017-10-12 05:18 EDT
Created attachment 1337633 [details]
new_edit_error

Got new error here

Note You need to log in before you can comment on or make changes to this bug.